Package fr.gouv.vitam.collect.internal.core.configuration

# Class CollectInternalConfiguration

java.lang.Object
fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration
fr.gouv.vitam.common.server.application.configuration.DbConfigurationImpl
fr.gouv.vitam.collect.internal.core.configuration.CollectInternalConfiguration

All Implemented Interfaces:
  `DbConfiguration`, `VitamApplicationConfiguration`, `VitamApplicationConfigurationInterface`

public class CollectInternalConfiguration extends DbConfigurationImpl

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `IS_A_MANDATORY_PARAMETER, jettyConfig`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CollectInternalConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getBulkAtomicUpdateBatchSize()`
  `int`
  `getBulkAtomicUpdateThreadPoolQueueSize()`
  `int`
  `getBulkAtomicUpdateThreadPoolSize()`
  `int`
  `getMaxWaitDelayForTransactionValidationInSeconds()`
  `Map<Integer,Integer>`
  `getPurgeTransactionDelayInMinutes()`
  `int`
  `getPurgeTransactionThreadFrequency()`
  `int`
  `getPurgeTransactionThreadPoolSize()`
  `int`
  `getStatusTransactionThreadFrequency()`
  `Integer`
  `getTransactionStatusThreadPoolSize()`
  `String`
  `getWorkspaceCollectUrl()`
  `String`
  `getWorkspaceUrl()`
  Must return the value of a 'workspaceUrl' attribute
  `boolean`
  `isApplyJsltPostDynamicAttachement()`
  `CollectInternalConfiguration`
  `setApplyJsltPostDynamicAttachement(boolean applyJsltPostDynamicAttachement)`
  `CollectInternalConfiguration`
  `setBulkAtomicUpdateBatchSize(int bulkAtomicUpdateBatchSize)`
  `CollectInternalConfiguration`
  `setBulkAtomicUpdateThreadPoolQueueSize(int bulkAtomicUpdateThreadPoolQueueSize)`
  `CollectInternalConfiguration`
  `setBulkAtomicUpdateThreadPoolSize(int bulkAtomicUpdateThreadPoolSize)`
  `CollectInternalConfiguration`
  `setMaxWaitDelayForTransactionValidationInSeconds(int maxWaitDelayForTransactionValidationInSeconds)`
  `void`
  `setPurgeTransactionDelayInMinutes(Map<Integer,Integer> purgeTransactionDelayInMinutes)`
  `void`
  `setPurgeTransactionThreadFrequency(int purgeTransactionThreadFrequency)`
  `void`
  `setPurgeTransactionThreadPoolSize(int purgeTransactionThreadPoolSize)`
  `void`
  `setStatusTransactionThreadFrequency(int statusTransactionThreadFrequency)`
  `void`
  `setTransactionStatusThreadPoolSize(Integer transactionStatusThreadPoolSize)`
  `CollectInternalConfiguration`
  `setWorkspaceCollectUrl(String workspaceCollectUrl)`
  `CollectInternalConfiguration`
  `setWorkspaceUrl(String workspaceUrl)`

  ### Methods inherited from class fr.gouv.vitam.common.server.application.configuration.DbConfigurationImpl

  `getDbName, getDbPassword, getDbUserName, getMongoDbNodes, isDbAuthentication, setDbAuthentication, setDbName, setDbPassword, setDbUserName, setMongoDbNodes`

  ### Methods inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `getAdminBasicAuth, getJettyConfig, isAuthentication, isAuthorizeTrackTotalHits, isEnableSession, isEnableXsrFilter, isTenantFilter, setAdminBasicAuth, setAuthentication, setAuthorizeTrackTotalHits, setEnableSession, setEnableXsrFilter, setJettyConfig, setTenantFilter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface fr.gouv.vitam.common.server.application.configuration.VitamApplicationConfiguration

  `isEnableSession, isEnableXsrFilter, setEnableSession, setEnableXsrFilter`

  ### Methods inherited from interface fr.gouv.vitam.common.server.application.configuration.VitamApplicationConfigurationInterface

  `getBaseUri, getBaseUrl, getJettyConfig, isAuthentication, isTenantFilter, setAuthentication, setBaseUri, setBaseUrl, setJettyConfig, setTenantFilter`

- ## Constructor Details

  - ### CollectInternalConfiguration

    public CollectInternalConfiguration()

- ## Method Details

  - ### getWorkspaceUrl

    public String getWorkspaceUrl()
    Must return the value of a 'workspaceUrl' attribute
    Returns:
      the workspaceUrl value

  - ### getPurgeTransactionDelayInMinutes

    public Map<Integer,Integer> getPurgeTransactionDelayInMinutes()

  - ### setPurgeTransactionDelayInMinutes

    public void setPurgeTransactionDelayInMinutes(Map<Integer,Integer> purgeTransactionDelayInMinutes)

  - ### getPurgeTransactionThreadPoolSize

    public int getPurgeTransactionThreadPoolSize()

  - ### setPurgeTransactionThreadPoolSize

    public void setPurgeTransactionThreadPoolSize(int purgeTransactionThreadPoolSize)

  - ### getPurgeTransactionThreadFrequency

    public int getPurgeTransactionThreadFrequency()

  - ### setPurgeTransactionThreadFrequency

    public void setPurgeTransactionThreadFrequency(int purgeTransactionThreadFrequency)

  - ### setWorkspaceUrl

    public CollectInternalConfiguration setWorkspaceUrl(String workspaceUrl)
    Parameters:
      `workspaceUrl` - the workspace Url to set
    Returns:
      this
    Throws:
      `IllegalArgumentException` - if workspaceUrl is null or empty

  - ### getTransactionStatusThreadPoolSize

    public Integer getTransactionStatusThreadPoolSize()

  - ### setTransactionStatusThreadPoolSize

    public void setTransactionStatusThreadPoolSize(Integer transactionStatusThreadPoolSize)

  - ### getStatusTransactionThreadFrequency

    public int getStatusTransactionThreadFrequency()

  - ### setStatusTransactionThreadFrequency

    public void setStatusTransactionThreadFrequency(int statusTransactionThreadFrequency)

  - ### getBulkAtomicUpdateThreadPoolSize

    public int getBulkAtomicUpdateThreadPoolSize()

  - ### setBulkAtomicUpdateThreadPoolSize

    public CollectInternalConfiguration setBulkAtomicUpdateThreadPoolSize(int bulkAtomicUpdateThreadPoolSize)

  - ### getBulkAtomicUpdateThreadPoolQueueSize

    public int getBulkAtomicUpdateThreadPoolQueueSize()

  - ### setBulkAtomicUpdateThreadPoolQueueSize

    public CollectInternalConfiguration setBulkAtomicUpdateThreadPoolQueueSize(int bulkAtomicUpdateThreadPoolQueueSize)

  - ### getBulkAtomicUpdateBatchSize

    public int getBulkAtomicUpdateBatchSize()

  - ### setBulkAtomicUpdateBatchSize

    public CollectInternalConfiguration setBulkAtomicUpdateBatchSize(int bulkAtomicUpdateBatchSize)

  - ### isApplyJsltPostDynamicAttachement

    @Beta public boolean isApplyJsltPostDynamicAttachement()

  - ### setApplyJsltPostDynamicAttachement

    @Beta public CollectInternalConfiguration setApplyJsltPostDynamicAttachement(boolean applyJsltPostDynamicAttachement)

  - ### getWorkspaceCollectUrl

    public String getWorkspaceCollectUrl()

  - ### setWorkspaceCollectUrl

    public CollectInternalConfiguration setWorkspaceCollectUrl(String workspaceCollectUrl)

  - ### getMaxWaitDelayForTransactionValidationInSeconds

    public int getMaxWaitDelayForTransactionValidationInSeconds()

  - ### setMaxWaitDelayForTransactionValidationInSeconds

    public CollectInternalConfiguration setMaxWaitDelayForTransactionValidationInSeconds(int maxWaitDelayForTransactionValidationInSeconds)